Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.draw
Enum OdfTextareaHorizontalAlignType

    java.lang.Object
      java.lang.Enum<OdfTextareaHorizontalAlignType>
          org.odftoolkit.odfdom.dom.type.draw.OdfTextareaHorizontalAlignType

All Implemented Interfaces:
  Serializable, Comparable<OdfTextareaHorizontalAlignType>

    public enum OdfTextareaHorizontalAlignType

extends Enum<OdfTextareaHorizontalAlignType>

DOM implementation of OpenDocument attribute draw:textarea-horizontal-align.

Enum Constant Summary
`CENTER`
`JUSTIFY`
`LEFT`
`RIGHT`

Method Summary
`static OdfTextareaHorizontalAlignType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfTextareaHorizontalAlignType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfTextareaHorizontalAlignType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfTextareaHorizontalAlignType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RIGHT

    public static final OdfTextareaHorizontalAlignType RIGHT

### LEFT

    public static final OdfTextareaHorizontalAlignType LEFT

### JUSTIFY

    public static final OdfTextareaHorizontalAlignType JUSTIFY

### CENTER

    public static final OdfTextareaHorizontalAlignType CENTER

Method Detail

### values

    public static OdfTextareaHorizontalAlignType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfTextareaHorizontalAlignType c : OdfTextareaHorizontalAlignType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfTextareaHorizontalAlignType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfTextareaHorizontalAlignType>`
  Returns:
    return the name of OdfTextareaHorizontalAlignType

### toString

    public static String toString(OdfTextareaHorizontalAlignType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfTextareaHorizontalAlignType, see draw:textarea-horizontal-align
  Returns:
    return the name of OdfTextareaHorizontalAlignType

### enumValueOf

    public static OdfTextareaHorizontalAlignType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfTextareaHorizontalAlignType
  Returns:
    return the constant of OdfTextareaHorizontalAlignType, see draw:textarea-horizontal-align

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.